## grendel.dnd
Class DropTargetContext

    java.lang.Object
      |
      +--grendel.dnd.DropTargetContext

public class DropTargetContext
extends java.lang.Object

Constructor Summary
`DropTargetContext()`

Method Summary
`protected void` | `acceptDrop(int action)`
`void` | `dropComplete(boolean success)`
`java.awt.Component` | `getComponent()`
`java.awt.datatransfer.DataFlavor[]` | `getDataFlavors()`
`DropTarget` | `getGrendelDropTarget()`
`int` | `getTargetActions()`
`void` | `getTransferable()`
`protected void` | `rejectDrop()`
`void` | `setTargetActions(int actions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropTargetContext

    public DropTargetContext()

Method Detail

### getGrendelDropTarget

    public DropTarget getGrendelDropTarget()

### getComponent

    public java.awt.Component getComponent()

### setTargetActions

    public void setTargetActions(int actions)
                          throws InvalidDnDOperationException

### getTargetActions

    public int getTargetActions()

### getDataFlavors

    public java.awt.datatransfer.DataFlavor[] getDataFlavors()

### getTransferable

    public void getTransferable()
                         throws InvalidDnDOperationException

### dropComplete

    public void dropComplete(boolean success)
                      throws InvalidDnDOperationException

### acceptDrop

    protected void acceptDrop(int action)

### rejectDrop

    protected void rejectDrop()